AI Appliance /工作空间
Aadmin
在线演示环境 · 所有设备、模型和用量数据均为模拟,未连接真实硬件与推理服务。
API REFERENCE

API 参考

当前运行版本的接口定义 · 无外部CDN依赖

下载 OpenAPI JSON
推理接口 /v1/* 使用应用 Bearer 密钥;管理接口使用管理员会话。管理写入须提供表单 csrf_token;/api/chat 使用 X-CSRF-Token。角色权限、配额和模型授权仍按实际身份校验。
GET /init · Init Page

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  }
}
POST /init · Init Submit

请求体定义

{
  "content": {
    "application/x-www-form-urlencoded": {
      "schema": {
        "$ref": "#/components/schemas/Body_init_submit_init_post"
      }
    }
  },
  "required": true
}

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  },
  "422": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    },
    "description": "Validation Error"
  }
}
GET /login · Login Page

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  }
}
POST /login · Login Submit

请求体定义

{
  "content": {
    "application/x-www-form-urlencoded": {
      "schema": {
        "$ref": "#/components/schemas/Body_login_submit_login_post"
      }
    }
  },
  "required": true
}

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  },
  "422": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    },
    "description": "Validation Error"
  }
}
POST /logout · Logout

请求体定义

{
  "content": {
    "application/x-www-form-urlencoded": {
      "schema": {
        "$ref": "#/components/schemas/Body_logout_logout_post"
      }
    }
  }
}

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  },
  "422": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    },
    "description": "Validation Error"
  }
}
GET / · Overview

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  }
}
GET /models · Models Page
参数位置必填类型
taskquery否{"default": 0, "title": "Task", "type": "integer"}
errorquery否{"default": "", "title": "Error", "type": "string"}

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  },
  "422": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    },
    "description": "Validation Error"
  }
}
GET /instances/{instance_id} · Instance Page
参数位置必填类型
instance_idpath是{"title": "Instance Id", "type": "integer"}
taskquery否{"default": 0, "title": "Task", "type": "integer"}

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  },
  "422": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    },
    "description": "Validation Error"
  }
}
GET /chat · Chat Page

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  }
}
GET /apps · Apps Page

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  }
}
GET /models/{model_id}/certification · Certification Page
参数位置必填类型
model_idpath是{"title": "Model Id", "type": "integer"}
taskquery否{"default": 0, "title": "Task", "type": "integer"}

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  },
  "422": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    },
    "description": "Validation Error"
  }
}
POST /api/models/{model_id}/deploy · Deploy Model
参数位置必填类型
model_idpath是{"title": "Model Id", "type": "integer"}

请求体定义

{
  "content": {
    "application/x-www-form-urlencoded": {
      "schema": {
        "$ref": "#/components/schemas/Body_deploy_model_api_models__model_id__deploy_post"
      }
    }
  }
}

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  },
  "422": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    },
    "description": "Validation Error"
  }
}
POST /api/instances/{instance_id}/stop · Stop Instance
参数位置必填类型
instance_idpath是{"title": "Instance Id", "type": "integer"}

请求体定义

{
  "content": {
    "application/x-www-form-urlencoded": {
      "schema": {
        "$ref": "#/components/schemas/Body_stop_instance_api_instances__instance_id__stop_post"
      }
    }
  }
}

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  },
  "422": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    },
    "description": "Validation Error"
  }
}
POST /api/instances/{instance_id}/restart · Restart Instance
参数位置必填类型
instance_idpath是{"title": "Instance Id", "type": "integer"}

请求体定义

{
  "content": {
    "application/x-www-form-urlencoded": {
      "schema": {
        "$ref": "#/components/schemas/Body_restart_instance_api_instances__instance_id__restart_post"
      }
    }
  }
}

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  },
  "422": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    },
    "description": "Validation Error"
  }
}
POST /api/instances/{instance_id}/health · Check Instance
参数位置必填类型
instance_idpath是{"title": "Instance Id", "type": "integer"}

请求体定义

{
  "content": {
    "application/x-www-form-urlencoded": {
      "schema": {
        "$ref": "#/components/schemas/Body_check_instance_api_instances__instance_id__health_post"
      }
    }
  }
}

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  },
  "422": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    },
    "description": "Validation Error"
  }
}
GET /api/tasks/{task_id}/status · Task Status
参数位置必填类型
task_idpath是{"title": "Task Id", "type": "integer"}

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  },
  "422": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    },
    "description": "Validation Error"
  }
}
POST /api/apps · Create App

请求体定义

{
  "content": {
    "application/x-www-form-urlencoded": {
      "schema": {
        "$ref": "#/components/schemas/Body_create_app_api_apps_post"
      }
    }
  },
  "required": true
}

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  },
  "422": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    },
    "description": "Validation Error"
  }
}
POST /api/apps/{app_id}/keys · Create Key
参数位置必填类型
app_idpath是{"title": "App Id", "type": "integer"}

请求体定义

{
  "content": {
    "application/x-www-form-urlencoded": {
      "schema": {
        "$ref": "#/components/schemas/Body_create_key_api_apps__app_id__keys_post"
      }
    }
  }
}

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  },
  "422": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    },
    "description": "Validation Error"
  }
}
POST /api/keys/{key_id}/revoke · Revoke Key
参数位置必填类型
key_idpath是{"title": "Key Id", "type": "integer"}

请求体定义

{
  "content": {
    "application/x-www-form-urlencoded": {
      "schema": {
        "$ref": "#/components/schemas/Body_revoke_key_api_keys__key_id__revoke_post"
      }
    }
  }
}

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  },
  "422": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    },
    "description": "Validation Error"
  }
}
GET /api/chat/models · Chat Models

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  }
}
POST /api/chat · Console Chat
参数位置必填类型
X-CSRF-Tokenheader否{"anyOf": [{"type": "string"}, {"type": "null"}], "title": "X-Csrf-Token"}

请求体定义

{
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/ChatRequest"
      }
    }
  },
  "required": true
}

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  },
  "422": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    },
    "description": "Validation Error"
  }
}
GET /api/ready · Ready Probe

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  }
}
POST /api/models/{model_id}/certification · Certification Action
参数位置必填类型
model_idpath是{"title": "Model Id", "type": "integer"}

请求体定义

{
  "content": {
    "application/x-www-form-urlencoded": {
      "schema": {
        "$ref": "#/components/schemas/Body_certification_action_api_models__model_id__certification_post"
      }
    }
  },
  "required": true
}

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  },
  "422": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    },
    "description": "Validation Error"
  }
}
GET /v1/models · List Models

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  }
}
POST /v1/chat/completions · Chat Completions

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  }
}
GET /catalog · Center

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  }
}
GET /api/catalog/summary · Catalog Summary

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  }
}
GET /catalog/settings · Capacity Page
参数位置必填类型
job_idquery否{"default": "", "title": "Job Id", "type": "string"}
savedquery否{"default": false, "title": "Saved", "type": "boolean"}

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  },
  "422": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    },
    "description": "Validation Error"
  }
}
GET /api/catalog/settings · Capacity Status

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  }
}
POST /api/catalog/settings · Capacity Save

请求体定义

{
  "content": {
    "application/x-www-form-urlencoded": {
      "schema": {
        "$ref": "#/components/schemas/Body_capacity_save_api_catalog_settings_post"
      }
    }
  },
  "required": true
}

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  },
  "422": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    },
    "description": "Validation Error"
  }
}
GET /api/catalog/directory-models · Directory Models
参数位置必填类型
sourcequery是{"title": "Source", "type": "string"}

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  },
  "422": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    },
    "description": "Validation Error"
  }
}
POST /api/catalog/directory-models/refresh · Refresh Directory
参数位置必填类型
X-CSRF-Tokenheader否{"anyOf": [{"type": "string"}, {"type": "null"}], "title": "X-Csrf-Token"}

请求体定义

{
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/DirectoryRefreshInput"
      }
    }
  },
  "required": true
}

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  },
  "422": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    },
    "description": "Validation Error"
  }
}
POST /api/catalog/download · Download
参数位置必填类型
X-CSRF-Tokenheader否{"anyOf": [{"type": "string"}, {"type": "null"}], "title": "X-Csrf-Token"}

请求体定义

{
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/DownloadInput"
      }
    }
  },
  "required": true
}

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  },
  "422": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    },
    "description": "Validation Error"
  }
}
POST /api/catalog/directory · Directory
参数位置必填类型
X-CSRF-Tokenheader否{"anyOf": [{"type": "string"}, {"type": "null"}], "title": "X-Csrf-Token"}

请求体定义

{
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/DirectoryInput"
      }
    }
  },
  "required": true
}

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  },
  "422": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    },
    "description": "Validation Error"
  }
}
POST /api/catalog/uploads · Upload Start
参数位置必填类型
X-CSRF-Tokenheader否{"anyOf": [{"type": "string"}, {"type": "null"}], "title": "X-Csrf-Token"}

请求体定义

{
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/UploadInput"
      }
    }
  },
  "required": true
}

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  },
  "422": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    },
    "description": "Validation Error"
  }
}
PUT /api/catalog/uploads/{job_id} · Upload Chunk
参数位置必填类型
job_idpath是{"title": "Job Id", "type": "string"}
offsetquery否{"default": 0, "title": "Offset", "type": "integer"}
X-CSRF-Tokenheader否{"anyOf": [{"type": "string"}, {"type": "null"}], "title": "X-Csrf-Token"}

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  },
  "422": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    },
    "description": "Validation Error"
  }
}
POST /api/catalog/uploads/{job_id}/finish · Upload Finish
参数位置必填类型
job_idpath是{"title": "Job Id", "type": "string"}
X-CSRF-Tokenheader否{"anyOf": [{"type": "string"}, {"type": "null"}], "title": "X-Csrf-Token"}

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  },
  "422": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    },
    "description": "Validation Error"
  }
}
GET /api/catalog/jobs · Jobs

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  }
}
GET /api/catalog/jobs/{job_id} · Job Status
参数位置必填类型
job_idpath是{"title": "Job Id", "type": "string"}

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  },
  "422": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    },
    "description": "Validation Error"
  }
}
POST /api/catalog/jobs/{job_id}/{action} · Job Action
参数位置必填类型
job_idpath是{"title": "Job Id", "type": "string"}
actionpath是{"title": "Action", "type": "string"}
X-CSRF-Tokenheader否{"anyOf": [{"type": "string"}, {"type": "null"}], "title": "X-Csrf-Token"}

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  },
  "422": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    },
    "description": "Validation Error"
  }
}
POST /api/catalog/assets/{asset_id}/delete · Delete
参数位置必填类型
asset_idpath是{"title": "Asset Id", "type": "integer"}
X-CSRF-Tokenheader否{"anyOf": [{"type": "string"}, {"type": "null"}], "title": "X-Csrf-Token"}

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  },
  "422": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    },
    "description": "Validation Error"
  }
}
POST /api/catalog/assets/{asset_id}/verify · Verify
参数位置必填类型
asset_idpath是{"title": "Asset Id", "type": "integer"}
X-CSRF-Tokenheader否{"anyOf": [{"type": "string"}, {"type": "null"}], "title": "X-Csrf-Token"}

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  },
  "422": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    },
    "description": "Validation Error"
  }
}
POST /api/catalog/assets/{asset_id}/export · Export Model
参数位置必填类型
asset_idpath是{"title": "Asset Id", "type": "integer"}
X-CSRF-Tokenheader否{"anyOf": [{"type": "string"}, {"type": "null"}], "title": "X-Csrf-Token"}

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  },
  "422": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    },
    "description": "Validation Error"
  }
}
GET /api/catalog/exports/{job_id} · Export File
参数位置必填类型
job_idpath是{"title": "Job Id", "type": "string"}

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  },
  "422": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    },
    "description": "Validation Error"
  }
}
POST /v1/embeddings · Embeddings

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  }
}
POST /v1/rerank · Rerank

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  }
}
GET /enterprise · Enterprise
参数位置必填类型
department_idquery否{"default": 0, "title": "Department Id", "type": "integer"}
qquery否{"default": "", "title": "Q", "type": "string"}
statequery否{"default": "", "title": "State", "type": "string"}
rolequery否{"default": "", "title": "Role", "type": "string"}
pagequery否{"default": 1, "title": "Page", "type": "integer"}
tabquery否{"default": "users", "title": "Tab", "type": "string"}

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  },
  "422": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    },
    "description": "Validation Error"
  }
}
POST /api/enterprise/departments · Add Department

请求体定义

{
  "content": {
    "application/x-www-form-urlencoded": {
      "schema": {
        "$ref": "#/components/schemas/Body_add_department_api_enterprise_departments_post"
      }
    }
  },
  "required": true
}

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  },
  "422": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    },
    "description": "Validation Error"
  }
}
POST /api/enterprise/departments/{id} · Edit Department
参数位置必填类型
idpath是{"title": "Id", "type": "integer"}

请求体定义

{
  "content": {
    "application/x-www-form-urlencoded": {
      "schema": {
        "$ref": "#/components/schemas/Body_edit_department_api_enterprise_departments__id__post"
      }
    }
  }
}

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  },
  "422": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    },
    "description": "Validation Error"
  }
}
POST /api/enterprise/users · Add User

请求体定义

{
  "content": {
    "application/x-www-form-urlencoded": {
      "schema": {
        "$ref": "#/components/schemas/Body_add_user_api_enterprise_users_post"
      }
    }
  },
  "required": true
}

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  },
  "422": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    },
    "description": "Validation Error"
  }
}
POST /api/enterprise/users/{id} · Edit User
参数位置必填类型
idpath是{"title": "Id", "type": "integer"}

请求体定义

{
  "content": {
    "application/x-www-form-urlencoded": {
      "schema": {
        "$ref": "#/components/schemas/Body_edit_user_api_enterprise_users__id__post"
      }
    }
  },
  "required": true
}

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  },
  "422": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    },
    "description": "Validation Error"
  }
}
POST /api/enterprise/grants · Department Grants

请求体定义

{
  "content": {
    "application/x-www-form-urlencoded": {
      "schema": {
        "$ref": "#/components/schemas/Body_department_grants_api_enterprise_grants_post"
      }
    }
  },
  "required": true
}

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  },
  "422": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    },
    "description": "Validation Error"
  }
}
POST /api/apps/{id}/settings · App Settings
参数位置必填类型
idpath是{"title": "Id", "type": "integer"}

请求体定义

{
  "content": {
    "application/x-www-form-urlencoded": {
      "schema": {
        "$ref": "#/components/schemas/Body_app_settings_api_apps__id__settings_post"
      }
    }
  },
  "required": true
}

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  },
  "422": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    },
    "description": "Validation Error"
  }
}
POST /api/keys/{id}/rotate · Rotate
参数位置必填类型
idpath是{"title": "Id", "type": "integer"}

请求体定义

{
  "content": {
    "application/x-www-form-urlencoded": {
      "schema": {
        "$ref": "#/components/schemas/Body_rotate_api_keys__id__rotate_post"
      }
    }
  }
}

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  },
  "422": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    },
    "description": "Validation Error"
  }
}
GET /account · Account

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  }
}
POST /api/account/password · Change Password

请求体定义

{
  "content": {
    "application/x-www-form-urlencoded": {
      "schema": {
        "$ref": "#/components/schemas/Body_change_password_api_account_password_post"
      }
    }
  },
  "required": true
}

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  },
  "422": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    },
    "description": "Validation Error"
  }
}
POST /api/account/sessions/{id}/revoke · Revoke Session
参数位置必填类型
idpath是{"title": "Id", "type": "integer"}

请求体定义

{
  "content": {
    "application/x-www-form-urlencoded": {
      "schema": {
        "$ref": "#/components/schemas/Body_revoke_session_api_account_sessions__id__revoke_post"
      }
    }
  }
}

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  },
  "422": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    },
    "description": "Validation Error"
  }
}
GET /audit · Audit Page

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  }
}
GET /api/audit/export · Export Audit

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  }
}
GET /api/logs/export · Export Logs

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  }
}
POST /api/enterprise/departments/{id}/purge · Purge Metadata
参数位置必填类型
idpath是{"title": "Id", "type": "integer"}

请求体定义

{
  "content": {
    "application/x-www-form-urlencoded": {
      "schema": {
        "$ref": "#/components/schemas/Body_purge_metadata_api_enterprise_departments__id__purge_post"
      }
    }
  }
}

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  },
  "422": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    },
    "description": "Validation Error"
  }
}
POST /api/account/avatar · Own Avatar

请求体定义

{
  "content": {
    "application/x-www-form-urlencoded": {
      "schema": {
        "$ref": "#/components/schemas/Body_own_avatar_api_account_avatar_post"
      }
    }
  },
  "required": true
}

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  },
  "422": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    },
    "description": "Validation Error"
  }
}
POST /api/enterprise/users/{id}/avatar · User Avatar
参数位置必填类型
idpath是{"title": "Id", "type": "integer"}

请求体定义

{
  "content": {
    "application/x-www-form-urlencoded": {
      "schema": {
        "$ref": "#/components/schemas/Body_user_avatar_api_enterprise_users__id__avatar_post"
      }
    }
  },
  "required": true
}

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  },
  "422": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    },
    "description": "Validation Error"
  }
}
POST /api/enterprise/users/{id}/delete · Delete User
参数位置必填类型
idpath是{"title": "Id", "type": "integer"}

请求体定义

{
  "content": {
    "application/x-www-form-urlencoded": {
      "schema": {
        "$ref": "#/components/schemas/Body_delete_user_api_enterprise_users__id__delete_post"
      }
    }
  }
}

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  },
  "422": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    },
    "description": "Validation Error"
  }
}
POST /api/enterprise/departments/{id}/delete · Delete Department
参数位置必填类型
idpath是{"title": "Id", "type": "integer"}

请求体定义

{
  "content": {
    "application/x-www-form-urlencoded": {
      "schema": {
        "$ref": "#/components/schemas/Body_delete_department_api_enterprise_departments__id__delete_post"
      }
    }
  }
}

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  },
  "422": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    },
    "description": "Validation Error"
  }
}
GET /usage · Usage
参数位置必填类型
daysquery否{"default": 7, "maximum": 90, "minimum": 1, "title": "Days", "type": "integer"}
groupquery否{"default": "day", "title": "Group", "type": "string"}
tracequery否{"default": "", "maxLength": 48, "title": "Trace", "type": "string"}

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  },
  "422": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    },
    "description": "Validation Error"
  }
}
GET /api/usage/export · Export Usage
参数位置必填类型
daysquery否{"default": 7, "maximum": 90, "minimum": 1, "title": "Days", "type": "integer"}
groupquery否{"default": "day", "title": "Group", "type": "string"}
tracequery否{"default": "", "maxLength": 48, "title": "Trace", "type": "string"}

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  },
  "422": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    },
    "description": "Validation Error"
  }
}
GET /quotas · Quota Page

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  }
}
POST /api/quotas/save · Save Quota

请求体定义

{
  "content": {
    "application/x-www-form-urlencoded": {
      "schema": {
        "$ref": "#/components/schemas/Body_save_quota_api_quotas_save_post"
      }
    }
  },
  "required": true
}

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  },
  "422": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    },
    "description": "Validation Error"
  }
}
POST /api/quotas/{id}/reset · Reset Quota
参数位置必填类型
idpath是{"title": "Id", "type": "integer"}

请求体定义

{
  "content": {
    "application/x-www-form-urlencoded": {
      "schema": {
        "$ref": "#/components/schemas/Body_reset_quota_api_quotas__id__reset_post"
      }
    }
  }
}

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  },
  "422": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    },
    "description": "Validation Error"
  }
}
GET /monitoring · Monitor Page

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  }
}
GET /api/monitoring/telemetry · Telemetry History
参数位置必填类型
minutesquery否{"default": 15, "title": "Minutes", "type": "integer"}

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  },
  "422": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    },
    "description": "Validation Error"
  }
}
POST /api/monitoring/refresh · Refresh

请求体定义

{
  "content": {
    "application/x-www-form-urlencoded": {
      "schema": {
        "$ref": "#/components/schemas/Body_refresh_api_monitoring_refresh_post"
      }
    }
  }
}

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  },
  "422": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    },
    "description": "Validation Error"
  }
}
POST /api/monitoring/config · Monitor Config

请求体定义

{
  "content": {
    "application/x-www-form-urlencoded": {
      "schema": {
        "$ref": "#/components/schemas/Body_monitor_config_api_monitoring_config_post"
      }
    }
  }
}

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  },
  "422": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    },
    "description": "Validation Error"
  }
}
POST /api/monitoring/alerts/{id}/{action} · Alert Action
参数位置必填类型
idpath是{"title": "Id", "type": "integer"}
actionpath是{"title": "Action", "type": "string"}

请求体定义

{
  "content": {
    "application/x-www-form-urlencoded": {
      "schema": {
        "$ref": "#/components/schemas/Body_alert_action_api_monitoring_alerts__id___action__post"
      }
    }
  }
}

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  },
  "422": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    },
    "description": "Validation Error"
  }
}
POST /api/monitoring/instances/{id}/recover · Recovery
参数位置必填类型
idpath是{"title": "Id", "type": "integer"}

请求体定义

{
  "content": {
    "application/x-www-form-urlencoded": {
      "schema": {
        "$ref": "#/components/schemas/Body_recovery_api_monitoring_instances__id__recover_post"
      }
    }
  }
}

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  },
  "422": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    },
    "description": "Validation Error"
  }
}
GET /api/monitoring/diagnostics · Diagnostics

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  }
}
GET /delivery · Page

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  }
}
POST /api/delivery/jobs · Submit

请求体定义

{
  "content": {
    "application/x-www-form-urlencoded": {
      "schema": {
        "$ref": "#/components/schemas/Body_submit_api_delivery_jobs_post"
      }
    }
  },
  "required": true
}

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  },
  "422": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    },
    "description": "Validation Error"
  }
}
POST /api/delivery/instances/{id}/autostart · Policy
参数位置必填类型
idpath是{"title": "Id", "type": "integer"}

请求体定义

{
  "content": {
    "application/x-www-form-urlencoded": {
      "schema": {
        "$ref": "#/components/schemas/Body_policy_api_delivery_instances__id__autostart_post"
      }
    }
  }
}

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  },
  "422": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    },
    "description": "Validation Error"
  }
}
POST /api/delivery/backup-policy · Backup Policy

请求体定义

{
  "content": {
    "application/x-www-form-urlencoded": {
      "schema": {
        "$ref": "#/components/schemas/Body_backup_policy_api_delivery_backup_policy_post"
      }
    }
  }
}

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  },
  "422": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    },
    "description": "Validation Error"
  }
}
POST /api/delivery/backups/{id}/export · Export Backup
参数位置必填类型
idpath是{"title": "Id", "type": "string"}

请求体定义

{
  "content": {
    "application/x-www-form-urlencoded": {
      "schema": {
        "$ref": "#/components/schemas/Body_export_backup_api_delivery_backups__id__export_post"
      }
    }
  }
}

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  },
  "422": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    },
    "description": "Validation Error"
  }
}
POST /api/delivery/tls · Tls

请求体定义

{
  "content": {
    "application/x-www-form-urlencoded": {
      "schema": {
        "$ref": "#/components/schemas/Body_tls_api_delivery_tls_post"
      }
    }
  },
  "required": true
}

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  },
  "422": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    },
    "description": "Validation Error"
  }
}
GET /delivery/setup · Setup

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  }
}
POST /api/delivery/host · Configure Host

请求体定义

{
  "content": {
    "application/x-www-form-urlencoded": {
      "schema": {
        "$ref": "#/components/schemas/Body_configure_host_api_delivery_host_post"
      }
    }
  },
  "required": true
}

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  },
  "422": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    },
    "description": "Validation Error"
  }
}
POST /api/delivery/network-confirm · Network Confirm

请求体定义

{
  "content": {
    "application/x-www-form-urlencoded": {
      "schema": {
        "$ref": "#/components/schemas/Body_network_confirm_api_delivery_network_confirm_post"
      }
    }
  },
  "required": true
}

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  },
  "422": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    },
    "description": "Validation Error"
  }
}
POST /api/delivery/storage · Configure Storage

请求体定义

{
  "content": {
    "application/x-www-form-urlencoded": {
      "schema": {
        "$ref": "#/components/schemas/Body_configure_storage_api_delivery_storage_post"
      }
    }
  },
  "required": true
}

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  },
  "422": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    },
    "description": "Validation Error"
  }
}
GET /api/delivery/report · Delivery Report

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  }
}
GET /api/delivery/openapi · Api Schema

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  }
}
GET /delivery/api-docs · Api Docs

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  }
}
GET /api/deployment · Overview

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  }
}
POST /api/deployment/connect · Connect

请求体定义

{
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/Connection"
      }
    }
  },
  "required": true
}

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  },
  "422": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    },
    "description": "Validation Error"
  }
}
POST /api/deployment/plan · Plan

请求体定义

{
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/Plan"
      }
    }
  },
  "required": true
}

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  },
  "422": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    },
    "description": "Validation Error"
  }
}
POST /api/deployment/jobs · Start

请求体定义

{
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/Plan"
      }
    }
  },
  "required": true
}

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  },
  "422": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    },
    "description": "Validation Error"
  }
}
GET /api/deployment/jobs/{id} · Job
参数位置必填类型
idpath是{"title": "Id", "type": "string"}

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  },
  "422": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    },
    "description": "Validation Error"
  }
}
POST /api/deployment/jobs/{id}/resume · Resume
参数位置必填类型
idpath是{"title": "Id", "type": "string"}

请求体定义

{
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/Resume"
      }
    }
  },
  "required": true
}

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  },
  "422": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    },
    "description": "Validation Error"
  }
}
GET /deployment · Page

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  }
}
GET /api/deployment/origin · Origin

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  }
}
POST /api/deployment/servers/{id} · Server Settings
参数位置必填类型
idpath是{"title": "Id", "type": "string"}

请求体定义

{
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/ServerSettings"
      }
    }
  },
  "required": true
}

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  },
  "422": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    },
    "description": "Validation Error"
  }
}
POST /api/deployment/servers/{id}/forget · Forget Server
参数位置必填类型
idpath是{"title": "Id", "type": "string"}

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  },
  "422": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    },
    "description": "Validation Error"
  }
}
GET /api/deployment/topology · Network Topology

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  }
}
POST /api/deployment/topology/settings · Topology Settings

请求体定义

{
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/TopologySettings"
      }
    }
  },
  "required": true
}

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  },
  "422": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    },
    "description": "Validation Error"
  }
}
POST /api/deployment/servers/{id}/inspect · Inspect Server
参数位置必填类型
idpath是{"title": "Id", "type": "string"}

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  },
  "422": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    },
    "description": "Validation Error"
  }
}
GET /api/appliance/status · Appliance Status

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  }
}
GET /healthz · Healthz

响应定义

{
  "200": {
    "content": {
      "application/json": {
        "schema": {}
      }
    },
    "description": "Successful Response"
  }
}
请求与响应数据模型
{
  "Body_add_department_api_enterprise_departments_post": {
    "properties": {
      "csrf_token": {
        "default": "",
        "title": "Csrf Token",
        "type": "string"
      },
      "name": {
        "maxLength": 64,
        "title": "Name",
        "type": "string"
      },
      "parent_id": {
        "default": 0,
        "title": "Parent Id",
        "type": "integer"
      }
    },
    "required": [
      "name"
    ],
    "title": "Body_add_department_api_enterprise_departments_post",
    "type": "object"
  },
  "Body_add_user_api_enterprise_users_post": {
    "properties": {
      "csrf_token": {
        "default": "",
        "title": "Csrf Token",
        "type": "string"
      },
      "department_id": {
        "title": "Department Id",
        "type": "integer"
      },
      "password": {
        "maxLength": 1024,
        "title": "Password",
        "type": "string"
      },
      "role": {
        "default": "user",
        "title": "Role",
        "type": "string"
      },
      "username": {
        "maxLength": 64,
        "title": "Username",
        "type": "string"
      }
    },
    "required": [
      "username",
      "password",
      "department_id"
    ],
    "title": "Body_add_user_api_enterprise_users_post",
    "type": "object"
  },
  "Body_alert_action_api_monitoring_alerts__id___action__post": {
    "properties": {
      "csrf_token": {
        "default": "",
        "title": "Csrf Token",
        "type": "string"
      },
      "minutes": {
        "default": 60,
        "title": "Minutes",
        "type": "integer"
      }
    },
    "title": "Body_alert_action_api_monitoring_alerts__id___action__post",
    "type": "object"
  },
  "Body_app_settings_api_apps__id__settings_post": {
    "properties": {
      "active": {
        "default": false,
        "title": "Active",
        "type": "boolean"
      },
      "csrf_token": {
        "default": "",
        "title": "Csrf Token",
        "type": "string"
      },
      "model_ids": {
        "default": [],
        "items": {
          "type": "integer"
        },
        "title": "Model Ids",
        "type": "array"
      },
      "owner_id": {
        "title": "Owner Id",
        "type": "integer"
      }
    },
    "required": [
      "owner_id"
    ],
    "title": "Body_app_settings_api_apps__id__settings_post",
    "type": "object"
  },
  "Body_backup_policy_api_delivery_backup_policy_post": {
    "properties": {
      "csrf_token": {
        "default": "",
        "title": "Csrf Token",
        "type": "string"
      },
      "enabled": {
        "default": false,
        "title": "Enabled",
        "type": "boolean"
      },
      "external_target": {
        "default": "",
        "title": "External Target",
        "type": "string"
      },
      "include_models": {
        "default": false,
        "title": "Include Models",
        "type": "boolean"
      },
      "retain": {
        "default": 7,
        "title": "Retain",
        "type": "integer"
      },
      "time": {
        "default": "02:00",
        "title": "Time",
        "type": "string"
      },
      "timezone": {
        "default": "Asia/Shanghai",
        "title": "Timezone",
        "type": "string"
      }
    },
    "title": "Body_backup_policy_api_delivery_backup_policy_post",
    "type": "object"
  },
  "Body_capacity_save_api_catalog_settings_post": {
    "properties": {
      "csrf_token": {
        "default": "",
        "title": "Csrf Token",
        "type": "string"
      },
      "job_id": {
        "default": "",
        "title": "Job Id",
        "type": "string"
      },
      "limit_gib": {
        "maximum": 16384.0,
        "minimum": 1.0,
        "title": "Limit Gib",
        "type": "integer"
      }
    },
    "required": [
      "limit_gib"
    ],
    "title": "Body_capacity_save_api_catalog_settings_post",
    "type": "object"
  },
  "Body_certification_action_api_models__model_id__certification_post": {
    "properties": {
      "action": {
        "title": "Action",
        "type": "string"
      },
      "csrf_token": {
        "default": "",
        "title": "Csrf Token",
        "type": "string"
      },
      "device_id": {
        "title": "Device Id",
        "type": "integer"
      }
    },
    "required": [
      "device_id",
      "action"
    ],
    "title": "Body_certification_action_api_models__model_id__certification_post",
    "type": "object"
  },
  "Body_change_password_api_account_password_post": {
    "properties": {
      "csrf_token": {
        "default": "",
        "title": "Csrf Token",
        "type": "string"
      },
      "new_password": {
        "maxLength": 1024,
        "title": "New Password",
        "type": "string"
      },
      "old_password": {
        "maxLength": 1024,
        "title": "Old Password",
        "type": "string"
      }
    },
    "required": [
      "old_password",
      "new_password"
    ],
    "title": "Body_change_password_api_account_password_post",
    "type": "object"
  },
  "Body_check_instance_api_instances__instance_id__health_post": {
    "properties": {
      "csrf_token": {
        "default": "",
        "title": "Csrf Token",
        "type": "string"
      }
    },
    "title": "Body_check_instance_api_instances__instance_id__health_post",
    "type": "object"
  },
  "Body_configure_host_api_delivery_host_post": {
    "properties": {
      "address": {
        "default": "",
        "title": "Address",
        "type": "string"
      },
      "csrf_token": {
        "default": "",
        "title": "Csrf Token",
        "type": "string"
      },
      "dns": {
        "default": "",
        "title": "Dns",
        "type": "string"
      },
      "gateway": {
        "default": "",
        "title": "Gateway",
        "type": "string"
      },
      "hostname": {
        "title": "Hostname",
        "type": "string"
      },
      "interface": {
        "default": "",
        "title": "Interface",
        "type": "string"
      },
      "network_mode": {
        "default": "keep",
        "title": "Network Mode",
        "type": "string"
      },
      "ntp_server": {
        "default": "",
        "title": "Ntp Server",
        "type": "string"
      },
      "timezone": {
        "title": "Timezone",
        "type": "string"
      }
    },
    "required": [
      "hostname",
      "timezone"
    ],
    "title": "Body_configure_host_api_delivery_host_post",
    "type": "object"
  },
  "Body_configure_storage_api_delivery_storage_post": {
    "properties": {
      "csrf_token": {
        "default": "",
        "title": "Csrf Token",
        "type": "string"
      },
      "target": {
        "title": "Target",
        "type": "string"
      }
    },
    "required": [
      "target"
    ],
    "title": "Body_configure_storage_api_delivery_storage_post",
    "type": "object"
  },
  "Body_create_app_api_apps_post": {
    "properties": {
      "csrf_token": {
        "default": "",
        "title": "Csrf Token",
        "type": "string"
      },
      "description": {
        "default": "",
        "maxLength": 4000,
        "title": "Description",
        "type": "string"
      },
      "expires_days": {
        "default": 90,
        "title": "Expires Days",
        "type": "integer"
      },
      "name": {
        "maxLength": 64,
        "title": "Name",
        "type": "string"
      }
    },
    "required": [
      "name"
    ],
    "title": "Body_create_app_api_apps_post",
    "type": "object"
  },
  "Body_create_key_api_apps__app_id__keys_post": {
    "properties": {
      "csrf_token": {
        "default": "",
        "title": "Csrf Token",
        "type": "string"
      },
      "expires_days": {
        "default": 90,
        "title": "Expires Days",
        "type": "integer"
      },
      "name": {
        "default": "",
        "maxLength": 64,
        "title": "Name",
        "type": "string"
      }
    },
    "title": "Body_create_key_api_apps__app_id__keys_post",
    "type": "object"
  },
  "Body_delete_department_api_enterprise_departments__id__delete_post": {
    "properties": {
      "csrf_token": {
        "default": "",
        "title": "Csrf Token",
        "type": "string"
      }
    },
    "title": "Body_delete_department_api_enterprise_departments__id__delete_post",
    "type": "object"
  },
  "Body_delete_user_api_enterprise_users__id__delete_post": {
    "properties": {
      "csrf_token": {
        "default": "",
        "title": "Csrf Token",
        "type": "string"
      }
    },
    "title": "Body_delete_user_api_enterprise_users__id__delete_post",
    "type": "object"
  },
  "Body_department_grants_api_enterprise_grants_post": {
    "properties": {
      "csrf_token": {
        "default": "",
        "title": "Csrf Token",
        "type": "string"
      },
      "department_id": {
        "title": "Department Id",
        "type": "integer"
      },
      "model_ids": {
        "default": [],
        "items": {
          "type": "integer"
        },
        "title": "Model Ids",
        "type": "array"
      }
    },
    "required": [
      "department_id"
    ],
    "title": "Body_department_grants_api_enterprise_grants_post",
    "type": "object"
  },
  "Body_deploy_model_api_models__model_id__deploy_post": {
    "properties": {
      "csrf_token": {
        "default": "",
        "title": "Csrf Token",
        "type": "string"
      },
      "device_id": {
        "anyOf": [
          {
            "type": "integer"
          },
          {
            "type": "null"
          }
        ],
        "title": "Device Id"
      }
    },
    "title": "Body_deploy_model_api_models__model_id__deploy_post",
    "type": "object"
  },
  "Body_edit_department_api_enterprise_departments__id__post": {
    "properties": {
      "active": {
        "default": false,
        "title": "Active",
        "type": "boolean"
      },
      "csrf_token": {
        "default": "",
        "title": "Csrf Token",
        "type": "string"
      },
      "name": {
        "default": "",
        "title": "Name",
        "type": "string"
      },
      "parent_id": {
        "title": "Parent Id",
        "type": "integer"
      },
      "retention_days": {
        "default": 90,
        "title": "Retention Days",
        "type": "integer"
      }
    },
    "title": "Body_edit_department_api_enterprise_departments__id__post",
    "type": "object"
  },
  "Body_edit_user_api_enterprise_users__id__post": {
    "properties": {
      "active": {
        "default": false,
        "title": "Active",
        "type": "boolean"
      },
      "csrf_token": {
        "default": "",
        "title": "Csrf Token",
        "type": "string"
      },
      "department_id": {
        "title": "Department Id",
        "type": "integer"
      },
      "password": {
        "default": "",
        "maxLength": 1024,
        "title": "Password",
        "type": "string"
      },
      "role": {
        "title": "Role",
        "type": "string"
      },
      "username": {
        "default": "",
        "maxLength": 64,
        "title": "Username",
        "type": "string"
      }
    },
    "required": [
      "role",
      "department_id"
    ],
    "title": "Body_edit_user_api_enterprise_users__id__post",
    "type": "object"
  },
  "Body_export_backup_api_delivery_backups__id__export_post": {
    "properties": {
      "csrf_token": {
        "default": "",
        "title": "Csrf Token",
        "type": "string"
      }
    },
    "title": "Body_export_backup_api_delivery_backups__id__export_post",
    "type": "object"
  },
  "Body_init_submit_init_post": {
    "properties": {
      "csrf_token": {
        "default": "",
        "title": "Csrf Token",
        "type": "string"
      },
      "password": {
        "title": "Password",
        "type": "string"
      },
      "password_confirm": {
        "title": "Password Confirm",
        "type": "string"
      },
      "username": {
        "title": "Username",
        "type": "string"
      }
    },
    "required": [
      "username",
      "password",
      "password_confirm"
    ],
    "title": "Body_init_submit_init_post",
    "type": "object"
  },
  "Body_login_submit_login_post": {
    "properties": {
      "csrf_token": {
        "default": "",
        "title": "Csrf Token",
        "type": "string"
      },
      "password": {
        "title": "Password",
        "type": "string"
      },
      "username": {
        "title": "Username",
        "type": "string"
      }
    },
    "required": [
      "username",
      "password"
    ],
    "title": "Body_login_submit_login_post",
    "type": "object"
  },
  "Body_logout_logout_post": {
    "properties": {
      "csrf_token": {
        "default": "",
        "title": "Csrf Token",
        "type": "string"
      }
    },
    "title": "Body_logout_logout_post",
    "type": "object"
  },
  "Body_monitor_config_api_monitoring_config_post": {
    "properties": {
      "csrf_token": {
        "default": "",
        "title": "Csrf Token",
        "type": "string"
      },
      "disk_free_gb": {
        "default": 10,
        "title": "Disk Free Gb",
        "type": "integer"
      },
      "disk_used_percent": {
        "default": 90,
        "title": "Disk Used Percent",
        "type": "integer"
      },
      "error_min_requests": {
        "default": 5,
        "title": "Error Min Requests",
        "type": "integer"
      },
      "error_percent": {
        "default": 50,
        "title": "Error Percent",
        "type": "integer"
      },
      "memory_used_percent": {
        "default": 90,
        "title": "Memory Used Percent",
        "type": "integer"
      }
    },
    "title": "Body_monitor_config_api_monitoring_config_post",
    "type": "object"
  },
  "Body_network_confirm_api_delivery_network_confirm_post": {
    "properties": {
      "csrf_token": {
        "default": "",
        "title": "Csrf Token",
        "type": "string"
      },
      "id": {
        "title": "Id",
        "type": "string"
      }
    },
    "required": [
      "id"
    ],
    "title": "Body_network_confirm_api_delivery_network_confirm_post",
    "type": "object"
  },
  "Body_own_avatar_api_account_avatar_post": {
    "properties": {
      "avatar": {
        "maxLength": 32,
        "title": "Avatar",
        "type": "string"
      },
      "csrf_token": {
        "default": "",
        "title": "Csrf Token",
        "type": "string"
      }
    },
    "required": [
      "avatar"
    ],
    "title": "Body_own_avatar_api_account_avatar_post",
    "type": "object"
  },
  "Body_policy_api_delivery_instances__id__autostart_post": {
    "properties": {
      "csrf_token": {
        "default": "",
        "title": "Csrf Token",
        "type": "string"
      },
      "enabled": {
        "default": false,
        "title": "Enabled",
        "type": "boolean"
      },
      "priority": {
        "default": 100,
        "title": "Priority",
        "type": "integer"
      }
    },
    "title": "Body_policy_api_delivery_instances__id__autostart_post",
    "type": "object"
  },
  "Body_purge_metadata_api_enterprise_departments__id__purge_post": {
    "properties": {
      "csrf_token": {
        "default": "",
        "title": "Csrf Token",
        "type": "string"
      }
    },
    "title": "Body_purge_metadata_api_enterprise_departments__id__purge_post",
    "type": "object"
  },
  "Body_recovery_api_monitoring_instances__id__recover_post": {
    "properties": {
      "csrf_token": {
        "default": "",
        "title": "Csrf Token",
        "type": "string"
      }
    },
    "title": "Body_recovery_api_monitoring_instances__id__recover_post",
    "type": "object"
  },
  "Body_refresh_api_monitoring_refresh_post": {
    "properties": {
      "csrf_token": {
        "default": "",
        "title": "Csrf Token",
        "type": "string"
      }
    },
    "title": "Body_refresh_api_monitoring_refresh_post",
    "type": "object"
  },
  "Body_reset_quota_api_quotas__id__reset_post": {
    "properties": {
      "csrf_token": {
        "default": "",
        "title": "Csrf Token",
        "type": "string"
      }
    },
    "title": "Body_reset_quota_api_quotas__id__reset_post",
    "type": "object"
  },
  "Body_restart_instance_api_instances__instance_id__restart_post": {
    "properties": {
      "csrf_token": {
        "default": "",
        "title": "Csrf Token",
        "type": "string"
      }
    },
    "title": "Body_restart_instance_api_instances__instance_id__restart_post",
    "type": "object"
  },
  "Body_revoke_key_api_keys__key_id__revoke_post": {
    "properties": {
      "csrf_token": {
        "default": "",
        "title": "Csrf Token",
        "type": "string"
      }
    },
    "title": "Body_revoke_key_api_keys__key_id__revoke_post",
    "type": "object"
  },
  "Body_revoke_session_api_account_sessions__id__revoke_post": {
    "properties": {
      "csrf_token": {
        "default": "",
        "title": "Csrf Token",
        "type": "string"
      }
    },
    "title": "Body_revoke_session_api_account_sessions__id__revoke_post",
    "type": "object"
  },
  "Body_rotate_api_keys__id__rotate_post": {
    "properties": {
      "csrf_token": {
        "default": "",
        "title": "Csrf Token",
        "type": "string"
      },
      "expires_days": {
        "default": 90,
        "title": "Expires Days",
        "type": "integer"
      }
    },
    "title": "Body_rotate_api_keys__id__rotate_post",
    "type": "object"
  },
  "Body_save_quota_api_quotas_save_post": {
    "properties": {
      "active": {
        "default": false,
        "title": "Active",
        "type": "boolean"
      },
      "concurrency": {
        "default": 0,
        "title": "Concurrency",
        "type": "integer"
      },
      "csrf_token": {
        "default": "",
        "title": "Csrf Token",
        "type": "string"
      },
      "period": {
        "default": "month",
        "title": "Period",
        "type": "string"
      },
      "rpm": {
        "default": 0,
        "title": "Rpm",
        "type": "integer"
      },
      "target": {
        "title": "Target",
        "type": "string"
      },
      "token_limit": {
        "default": 0,
        "title": "Token Limit",
        "type": "integer"
      }
    },
    "required": [
      "target"
    ],
    "title": "Body_save_quota_api_quotas_save_post",
    "type": "object"
  },
  "Body_stop_instance_api_instances__instance_id__stop_post": {
    "properties": {
      "csrf_token": {
        "default": "",
        "title": "Csrf Token",
        "type": "string"
      }
    },
    "title": "Body_stop_instance_api_instances__instance_id__stop_post",
    "type": "object"
  },
  "Body_submit_api_delivery_jobs_post": {
    "properties": {
      "action": {
        "title": "Action",
        "type": "string"
      },
      "backup_id": {
        "default": "",
        "title": "Backup Id",
        "type": "string"
      },
      "csrf_token": {
        "default": "",
        "title": "Csrf Token",
        "type": "string"
      },
      "include_models": {
        "default": false,
        "title": "Include Models",
        "type": "boolean"
      },
      "request_id": {
        "default": "",
        "title": "Request Id",
        "type": "string"
      }
    },
    "required": [
      "action"
    ],
    "title": "Body_submit_api_delivery_jobs_post",
    "type": "object"
  },
  "Body_tls_api_delivery_tls_post": {
    "properties": {
      "certificate": {
        "title": "Certificate",
        "type": "string"
      },
      "csrf_token": {
        "default": "",
        "title": "Csrf Token",
        "type": "string"
      },
      "private_key": {
        "title": "Private Key",
        "type": "string"
      }
    },
    "required": [
      "certificate",
      "private_key"
    ],
    "title": "Body_tls_api_delivery_tls_post",
    "type": "object"
  },
  "Body_user_avatar_api_enterprise_users__id__avatar_post": {
    "properties": {
      "avatar": {
        "maxLength": 32,
        "title": "Avatar",
        "type": "string"
      },
      "csrf_token": {
        "default": "",
        "title": "Csrf Token",
        "type": "string"
      }
    },
    "required": [
      "avatar"
    ],
    "title": "Body_user_avatar_api_enterprise_users__id__avatar_post",
    "type": "object"
  },
  "ChatRequest": {
    "properties": {
      "max_tokens": {
        "default": 256,
        "maximum": 8192.0,
        "minimum": 1.0,
        "title": "Max Tokens",
        "type": "integer"
      },
      "model_id": {
        "anyOf": [
          {
            "maximum": 2147483647.0,
            "minimum": 1.0,
            "type": "integer"
          },
          {
            "type": "null"
          }
        ],
        "title": "Model Id"
      },
      "prompt": {
        "maxLength": 4000,
        "minLength": 1,
        "title": "Prompt",
        "type": "string"
      },
      "temperature": {
        "default": 0.7,
        "maximum": 2.0,
        "minimum": 0.0,
        "title": "Temperature",
        "type": "number"
      }
    },
    "required": [
      "prompt"
    ],
    "title": "ChatRequest",
    "type": "object"
  },
  "Connection": {
    "properties": {
      "fingerprint": {
        "default": "",
        "maxLength": 100,
        "title": "Fingerprint",
        "type": "string"
      },
      "host": {
        "maxLength": 253,
        "minLength": 1,
        "title": "Host",
        "type": "string"
      },
      "passphrase": {
        "default": "",
        "maxLength": 4096,
        "title": "Passphrase",
        "type": "string"
      },
      "password": {
        "default": "",
        "maxLength": 4096,
        "title": "Password",
        "type": "string"
      },
      "port": {
        "default": 22,
        "maximum": 65535.0,
        "minimum": 1.0,
        "title": "Port",
        "type": "integer"
      },
      "private_key": {
        "default": "",
        "maxLength": 32768,
        "title": "Private Key",
        "type": "string"
      },
      "sudo_password": {
        "default": "",
        "maxLength": 4096,
        "title": "Sudo Password",
        "type": "string"
      },
      "username": {
        "maxLength": 64,
        "minLength": 1,
        "title": "Username",
        "type": "string"
      }
    },
    "required": [
      "host",
      "username"
    ],
    "title": "Connection",
    "type": "object"
  },
  "DirectoryInput": {
    "properties": {
      "model_type": {
        "default": "text",
        "title": "Model Type",
        "type": "string"
      },
      "name": {
        "maxLength": 128,
        "minLength": 1,
        "title": "Name",
        "type": "string"
      },
      "path": {
        "maxLength": 512,
        "minLength": 1,
        "title": "Path",
        "type": "string"
      }
    },
    "required": [
      "path",
      "name"
    ],
    "title": "DirectoryInput",
    "type": "object"
  },
  "DirectoryRefreshInput": {
    "properties": {
      "page": {
        "default": 1,
        "maximum": 10.0,
        "minimum": 1.0,
        "title": "Page",
        "type": "integer"
      },
      "query": {
        "default": "",
        "maxLength": 100,
        "title": "Query",
        "type": "string"
      },
      "source": {
        "maxLength": 64,
        "minLength": 1,
        "title": "Source",
        "type": "string"
      }
    },
    "required": [
      "source"
    ],
    "title": "DirectoryRefreshInput",
    "type": "object"
  },
  "DownloadInput": {
    "properties": {
      "model_type": {
        "default": "text",
        "title": "Model Type",
        "type": "string"
      },
      "name": {
        "maxLength": 128,
        "minLength": 1,
        "title": "Name",
        "type": "string"
      },
      "repo_id": {
        "maxLength": 256,
        "minLength": 3,
        "title": "Repo Id",
        "type": "string"
      },
      "revision": {
        "default": "master",
        "maxLength": 128,
        "minLength": 1,
        "title": "Revision",
        "type": "string"
      },
      "source": {
        "maxLength": 64,
        "title": "Source",
        "type": "string"
      }
    },
    "required": [
      "source",
      "repo_id",
      "name"
    ],
    "title": "DownloadInput",
    "type": "object"
  },
  "HTTPValidationError": {
    "properties": {
      "detail": {
        "items": {
          "$ref": "#/components/schemas/ValidationError"
        },
        "title": "Detail",
        "type": "array"
      }
    },
    "title": "HTTPValidationError",
    "type": "object"
  },
  "Plan": {
    "properties": {
      "action": {
        "default": "install",
        "title": "Action",
        "type": "string"
      },
      "allow_reboot": {
        "default": false,
        "title": "Allow Reboot",
        "type": "boolean"
      },
      "confirmed": {
        "default": false,
        "title": "Confirmed",
        "type": "boolean"
      },
      "connection_id": {
        "maxLength": 32,
        "minLength": 32,
        "title": "Connection Id",
        "type": "string"
      },
      "console_url": {
        "default": "",
        "maxLength": 512,
        "title": "Console Url",
        "type": "string"
      },
      "offline_path": {
        "default": "",
        "maxLength": 512,
        "title": "Offline Path",
        "type": "string"
      },
      "platform_path": {
        "default": "",
        "maxLength": 512,
        "title": "Platform Path",
        "type": "string"
      },
      "reset_acknowledged": {
        "default": false,
        "title": "Reset Acknowledged",
        "type": "boolean"
      },
      "reset_confirmation": {
        "default": "",
        "maxLength": 300,
        "title": "Reset Confirmation",
        "type": "string"
      },
      "server_id": {
        "default": "",
        "maxLength": 32,
        "title": "Server Id",
        "type": "string"
      },
      "source": {
        "default": "remote",
        "title": "Source",
        "type": "string"
      }
    },
    "required": [
      "connection_id"
    ],
    "title": "Plan",
    "type": "object"
  },
  "Resume": {
    "properties": {
      "connection_id": {
        "maxLength": 32,
        "minLength": 32,
        "title": "Connection Id",
        "type": "string"
      },
      "reboot": {
        "default": false,
        "title": "Reboot",
        "type": "boolean"
      }
    },
    "required": [
      "connection_id"
    ],
    "title": "Resume",
    "type": "object"
  },
  "ServerSettings": {
    "properties": {
      "console_url": {
        "default": "",
        "maxLength": 512,
        "title": "Console Url",
        "type": "string"
      },
      "name": {
        "maxLength": 80,
        "minLength": 1,
        "title": "Name",
        "type": "string"
      },
      "notes": {
        "default": "",
        "maxLength": 500,
        "title": "Notes",
        "type": "string"
      }
    },
    "required": [
      "name"
    ],
    "title": "ServerSettings",
    "type": "object"
  },
  "TopologySettings": {
    "properties": {
      "access_mode": {
        "default": "unknown",
        "maxLength": 20,
        "title": "Access Mode",
        "type": "string"
      },
      "ssh_host": {
        "default": "",
        "maxLength": 253,
        "title": "Ssh Host",
        "type": "string"
      },
      "ssh_port": {
        "default": 22,
        "maximum": 65535.0,
        "minimum": 1.0,
        "title": "Ssh Port",
        "type": "integer"
      }
    },
    "title": "TopologySettings",
    "type": "object"
  },
  "UploadInput": {
    "properties": {
      "filename": {
        "maxLength": 256,
        "minLength": 1,
        "title": "Filename",
        "type": "string"
      },
      "model_type": {
        "default": "text",
        "title": "Model Type",
        "type": "string"
      },
      "name": {
        "maxLength": 128,
        "minLength": 1,
        "title": "Name",
        "type": "string"
      },
      "sha256": {
        "default": "",
        "title": "Sha256",
        "type": "string"
      },
      "size": {
        "exclusiveMinimum": 0.0,
        "title": "Size",
        "type": "integer"
      }
    },
    "required": [
      "filename",
      "size",
      "name"
    ],
    "title": "UploadInput",
    "type": "object"
  },
  "ValidationError": {
    "properties": {
      "loc": {
        "items": {
          "anyOf": [
            {
              "type": "string"
            },
            {
              "type": "integer"
            }
          ]
        },
        "title": "Location",
        "type": "array"
      },
      "msg": {
        "title": "Message",
        "type": "string"
      },
      "type": {
        "title": "Error Type",
        "type": "string"
      }
    },
    "required": [
      "loc",
      "msg",
      "type"
    ],
    "title": "ValidationError",
    "type": "object"
  }
}